#### Linux From Scratch - Version 9.0-systemd

### Chapter 6. Installing Basic System Software

- Prev

  Gperf-3.1

- Next

  Inetutils-1.9.4

- Up
- Home

# 6.38. Expat-2.2.7

The Expat package contains a stream oriented C library for parsing XML.

Approximate build time: 0.1 SBU
Required disk space: 11 MB

## 6.38.1. Installation of Expat

First fix a problem with the regression tests in the LFS environment:

    sed -i 's|usr/bin/env |bin/|' run.sh.in

Prepare Expat for compilation:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/expat-2.2.7

Compile the package:

    make

To test the results, issue:

    make check

Install the package:

    make install

If desired, install the documentation:

    install -v -m644 doc/*.{html,png,css} /usr/share/doc/expat-2.2.7

## 6.38.2. Contents of Expat

Installed program: xmlwf
Installed libraries: libexpat.so
Installed directory: /usr/share/doc/expat-2.2.7

### Short Descriptions

xmlwf | Is a non-validating utility to check whether or not XML documents are well formed
`libexpat` | Contains API functions for parsing XML

- Prev

  Gperf-3.1

- Next

  Inetutils-1.9.4

- Up
- Home